<?
session_start();
require_once('../connect/connect.php');
include_once('../lib/lib.php');
require('pdk.php');
$base_path="../";

if ($_POST['arr']) 
	{
	foreach ($_POST['arr'] as $index=>$ar)
		{
		if($ar==1) 
			{
			$dop_del[] = $index;
			$mid = '../foto_vip/'.$index.'m.jpg';
			if (file_exists($mid) && is_file($mid)) unlink($mid);
			}
		elseif($ar==2) 
		$dop_nes[] = $index;
		}

	if($dop_nes)
		{
		$dop_nes = "id IN (".implode(',', $dop_nes).")";
		mysql_query ("UPDATE board SET id_spam='0' WHERE ".$dop_nes) or die(mysql_error());
		}

	if($dop_del)
		{
		$dop_del = "id IN (".implode(',', $dop_del).")";
		$r1 = mysql_query ("SELECT * FROM foto WHERE ".$dop_del) or die(mysql_error());
		if($r1)
			{
			while($rr1 = mysql_fetch_array($r1))
				{
				$small = '../foto/'.$rr1['papka'].'/'.$rr1['id_foto'].'s.jpg';
				$big   = '../foto/'.$rr1['papka'].'/'.$rr1['id_foto'].'b.jpg';
				if(file_exists($small) && is_file($small)) unlink($small);
				if(file_exists($big) && is_file($big)) unlink($big);
				}
			}
	
		$q = "DELETE FROM foto WHERE ".$dop_del;
		$q2 = "DELETE FROM board WHERE ".$dop_del;
		mysql_query($q);
		mysql_query($q2);
		}
	}

$titl="Удаление повторных записей";
require ('top.php'); 

$r = mysql_query ("SELECT DISTINCT id_spam FROM board WHERE id_spam > 0 ") or die(mysql_error());
$nr = mysql_num_rows($r);
$kol_spam=$nr;


if ($nr>0) //если обнаружен спам
	{
	echo 'Количество - <b>'.$kol_spam.'</b>';
	echo '<p>Если переключатель в <font color=red size=+1>красном поле</font> - удалить<br>
	Если переключатель в <font color=green size=+1>зеленом поле</font> - пометить как НЕ ПОВТОРНОЕ<br>
	</p>';
	echo '<form action="povtor.php" method="post" name="form_ud" ><table>';

	$i=0;
	while($rr = mysql_fetch_array($r)) 
		{
		$i++;
		if($i > 20) break;
		//данные оригинала для конкретного спама
		$r1 = mysql_query ("SELECT * FROM board WHERE id='".$rr['id_spam']."' ") or die(mysql_error());
		$rr1 = mysql_fetch_array($r1);
		$nr1=mysql_num_rows($r1);
		
		if(!$nr1) //если оригинал НЕ существует
		echo '<tr bgcolor="#DDDDDD"><td colspan=3><b><font color=red>ОРИГИНАЛ УДАЛЕН</font></b>';
		else
		echo '<tr bgcolor="#DDDDDD"><td colspan=3><b><font color=red>'.$rr1['id'].'</font> '.$rr1['zag'].'</b><br>'.$rr1['opis'].'<br>'.$rr1['contakt'].'<br>'.$rr1['email'].'<br>'.$rr1['tel'];
		
		$r2 = mysql_query ("SELECT * FROM board WHERE id_spam='".$rr['id_spam']."' ") or die(mysql_error());
			while($rr2 = mysql_fetch_array($r2))
			{
			if($rr2['vip']==0)
				{
				echo '<tr>
				<td bgcolor=red valign=middle><input type="radio" name="arr['.$rr2['id'].']" value="1" checked>
				<td bgcolor=green valign=middle><input type="radio" name="arr['.$rr2['id'].']" value="2">';
				echo '<td><b>'.$rr2['id'].'. <font color=red>(повтор N '.$rr['id_spam'].')</font> '.$rr2['zag'].'</b><br>'.$rr2['opis'].'<br>'.$rr2['contakt'].'<br>'.$rr2['email'].'<br>'.$rr2['tel'];
				}
			else
				{
				echo '<tr>
				<td bgcolor=red valign=middle>
				<td bgcolor=green valign=middle><input type="radio" name="arr['.$rr2['id'].']" value="2">';
				echo '<td><b>'.$rr2['id'].'. <font color=red>(повтор N '.$rr['id_spam'].') <br>Это VIP-объявление - удалению не подлежит<br></font> '.$rr2['zag'].'</b><br>'.$rr2['opis'].'<br>'.$rr2['contakt'].'<br>'.$rr2['email'].'<br>'.$rr2['tel'];
				} 
			}
		}
		echo '</table><input type="submit" name="Submit" value="Выполнить">
		<input type="hidden" name="MM_insert" value="form_ud">
		</form>';
	} else echo '<font color=green>Повторных объявлений не обнаружено</font>';

require ('bottom.php'); 
?>

